Bug 463454 - [LTC 6.0 FEAT] 200770:Include Open Fabric Enterprise Distribution
[LTC 6.0 FEAT] 200770:Include Open Fabric Enterprise Distribution
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: infiniband-diags (Show other bugs)
6.0
All All
high Severity high
: alpha
: 6.0
Assigned To: Doug Ledford
Red Hat Kernel QE team
: FutureFeature, OtherQA
: 463658 464563 488551 529013 584583 (view as bug list)
Depends On:
Blocks: 356741 442911 554559 555224 555228
  Show dependency treegraph
 
Reported: 2008-09-23 11:21 EDT by IBM Bug Proxy
Modified: 2010-11-15 08:59 EST (History)
15 users (show)

See Also:
Fixed In Version: infiniband-diags-1.5.3-1.el6
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-15 08:59:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description IBM Bug Proxy 2008-09-23 11:21:05 EDT
=Comment: #0=================================================
Emily J. Ratliff <emilyr@us.ibm.com> - 2008-09-16 17:35 EDT
1. Feature Overview:
Feature Id:	[200770]
a. Name of Feature:	Include Open Fabric Enterprise Distribution
b. Feature Description
Include and support the InfiniBand driver and protocols released by OpenFabrics.org.  Need support
for Mellanox IB driver (drivers/infiniband/hw/mthca) which supports several IBM BladeCenter/Cluster
options.  This driver has the co -req of the OFED code.    This request is to specifically update
the OFED stack (and its corresponding drivers) to the latest available version to ensure all known
bug fixes are available for our customers.

Additional Comments:	Requesting 1.4+

2. Feature Details:
Sponsor:	xSeries
Architectures:
x86
x86_64
ppc64

Arch Specificity: Purely Common Code
Affects Kernel Modules: Yes
Delivery Mechanism: Direct from community
Category:	xSeries
Request Type:	Package - Feature from Upstream
d. Upstream Acceptance:	Accepted
Sponsor Priority	1
f. Severity: High
IBM Confidential:	no
Code Contribution:	3rd party code
g. Component Version Target:	1.4+

3. Business Case
Cluster & Blade solutions use Voltaire, Cisco, & Topspin IB adapters.  System x needs to be able to
support: -Voltaire High Performance SDR InfiniBand Host Channel Adapter Expansion Card for IBM
BladeCenter -Voltaire High Performance DDR InfiniBand Host Channel Adapter Expansion Card for IBM
BladeCenter -Cisco Systems 4X InfiniBand HCA Expansion Card for IBM BladeCenter -Cisco Systems
InfiniBand HCA Expansion Card for IBM BladeCenter

4. Primary contact at Red Hat: 
John Jarvis
jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Monte Knutson, mknutson@us.ibm.com, 877-894-1495

Technical contact(s):
Kevin Stansell, kstansel@us.ibm.com
Chris McDermott, mcdermoc@us.ibm.com

IBM Manager:
Julio Alvarez, julioa@us.ibm.com
Comment 1 Doug Ledford 2009-09-15 09:53:38 EDT
*** Bug 463658 has been marked as a duplicate of this bug. ***
Comment 2 Doug Ledford 2009-09-15 09:54:20 EDT
*** Bug 464563 has been marked as a duplicate of this bug. ***
Comment 3 Doug Ledford 2009-09-15 09:54:39 EDT
*** Bug 488551 has been marked as a duplicate of this bug. ***
Comment 4 Ronald Pacheco 2009-10-14 13:27:13 EDT
*** Bug 529013 has been marked as a duplicate of this bug. ***
Comment 5 George Beshers 2009-10-16 15:43:54 EDT
SGI is requesting that the following OFED components
be included for RHEL6:

 - infiniband-diags package
 - perftest package
 - qperf package

 Thanks, George
Comment 6 Doug Ledford 2010-01-21 12:51:37 EST
All of the SGI package requests are met as of the Beta.  However, please note that the packages are pulled from upstream, and not from OFED.  Going forward in RHEL6 we will be pulling all InfiniBand related code from upstream (from the upstream Linus kernel for kernel code and from the various upstream package maintainers for individual packages).  So if people have specific requests for a certain feature in a certain package, then they need to request that specific package be updated.
Comment 7 Bill Nottingham 2010-01-21 13:36:11 EST
Assigning to distribution, as this was a package request.
Comment 8 Suzanne Yeghiayan 2010-01-21 15:52:21 EST
According to the latest builds, the following package version are in 6.0:

infiniband-diags-1.5.3-1.el6
perftest-1.2.3-1.el6
qperf-0.4.6-1.el6
Comment 10 Suzanne Yeghiayan 2010-04-22 15:48:58 EDT
*** Bug 584583 has been marked as a duplicate of this bug. ***
Comment 11 Philip Pokorny 2010-04-22 20:33:45 EDT
Need updated kernel patches from 1.5 to support new Qlogic IB cards.

Driver has been renamed in OFED 1.5 and the ib_ipath.ko in RHEL 5.x and 6 Beta does not support many of the current cards sold by Qlogic.
Comment 12 IBM Bug Proxy 2010-05-07 15:30:49 EDT
------- Comment From halves@linux.vnet.ibm.com 2010-05-07 15:28 EDT-------
Verified on RHEL6 Snap2:

- libibverbs:  ppc and ppc64
- libibcm: ppc and ppc64
- librdmacm: ppc and ppc64
- libidmad: ppc and ppc64
- libidumad: ppc and ppc64
- libibcommon: ppc and ppc64
- dapl: ppc and ppc64
- libehca: ppc64
- libmthca: ppc64
- libipath: not found
- libmlx4: ppc64
- openSM: ppc64
- infiniband-diags: ppc and ppc64

Regards,

Higor
Comment 13 IBM Bug Proxy 2010-05-19 17:50:46 EDT
------- Comment From pbogdanovic@us.ibm.com 2010-05-19 17:42 EDT-------
Installed infiniband support in snap2. Tested Mellanox MT25418 DDR adapter with the LTC IB Validation test v0.3 scripts. passed.
Comment 14 releng-rhel@redhat.com 2010-11-15 08:59:32 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.